# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_framebuf_t Struct Reference

`#include <dirac_types.h>`

List of all members.

## Public Attributes

- unsigned char * buf [3]
- void * id

## Detailed Description

Structure that holds the frame buffers into which data is written (NB we have frame-oriented IO even though we code pictures)

## Member Data Documentation

unsigned char* dirac_framebuf_t::buf[3]

buffers to hold the luma and chroma data

void* dirac_framebuf_t::id

user data

The documentation for this struct was generated from the following file:

- dirac_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.